diff --git a/changelog b/changelog
index 5b646ff..fc9e8ca 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20081124 tpd src/interp/setq.lisp remove date information for releases
+20081124 tpd readme remove date information for releases
+20081124 tpd faq document using new GCL
 20081123 tpd src/axiom-website/patches.html 20081123.01.tpd.patch
 20081123 tpd src/algebra/fraction.spad missed file for category change
 20081122 tpd src/axiom-website/patches.html 20081122.02.tpd.patch
diff --git a/faq b/faq
index 095810f..ab9f125 100644
--- a/faq
+++ b/faq
@@ -47,6 +47,7 @@ FAQ 45: Axiom copyright information
 FAQ 46: Axiom trademark information
 FAQ 47: Axiom won't build on Fedora 9 (SELinux)
 FAQ 48: Getting Axiom sources from git
+FAQ 49: How do I get the lastest GCL?
 
 ===================================================================
 FAQ 0: How do I use Axiom?
@@ -1759,3 +1760,63 @@ http://axiom.axiom-developer.org/axiom-website/download.html
 
 for further information.
 
+===================================================================
+FAQ 49: How do I get the lastest GCL?
+===================================================================
+
+You can use the latest version of GCL although it will require
+a few steps. Axiom builds GCL by untaring the GCL source tree
+from a file in the axiom/zips subdirectory. Then it applies some
+local patches to the source tree. Finally, it builds GCL.
+
+Under the control of axiom/lsp/Makefile(.pamphlet) the steps are:
+  * axiom/zips/GCLVERSION.tgz -> axiom/lsp/GCLVERSION
+  * apply patches
+  * cd axiom/lsp/GCLVERSION
+  * ./configure GCLOPTS
+  * make 
+
+The file and patches chosen are prefixed by the GCLVERSION 
+variable string. For example, if GCLVERSION=gcl-2.6.7 we would see
+axiom/zips/gcl-2.6.7.tgz
+axiom/zips/gcl-2.6.7-somefilepath1.patch
+axiom/zips/gcl-2.6.7-somefilepath2.patch
+  ...
+
+Thus we can introduce new versions of GCL by fetching the new
+code, giving it a name (in this case gcl-2.6.8pre3), and 
+setting the GCLVERSION to that name. 
+
+Note that you may have to modify the patches. The patches are applied
+using the axiom/lsp/Makefile.pamphlet file so if you add or delete
+patches you have to set up corresponding chunks.  There are very few
+patches as almost every change has been accepted upstream. Most
+patches have been stable for the lifetime of Axiom.
+
+Unless you're chasing a bug it is unlikely you will ever have
+to do this.
+
+1) First we fetch the latest code:
+cvs -z3 -d:pserver:anonymous@cvs.savannah.gnu.org:/sources/gcl 
+   co -r Version_2_6_8pre -d gcl-2.6.8pre gcl
+
+2) Next we rename it to be the same as the GCLVERSION variable:
+mv gcl-2.6.8pre gcl-2.6.8pre3
+
+3) Next we tar-gzip the directory
+tar -zcf gcl-2.6.8pre3.tgz gcl-2.6.8pre3
+
+4) Put the latest tgz file into the proper location in Axiom:
+cp gcl-2.6.8pre3.tgz axiom/zips
+
+5) Modify axiom/Makefile GCLVERSION variable to read:
+GCLVERSION=gcl-2.6.8pre3
+
+5) Modify axiom/Makefile.pamphlet GCLVERSION variable to read:
+GCLVERSION=gcl-2.6.8pre3
+
+6) Copy any needed patches from the previous version (likely all)
+and rename them using the new GCLVERSION prefix
+
+7) In the axiom top level directory type:
+make
\ No newline at end of file
diff --git a/readme b/readme
index 8b45ea8..ed7a981 100644
--- a/readme
+++ b/readme
@@ -175,7 +175,7 @@ which contains this list. Typing
 )credits 
 at the axiom command prompt will prettyprint the list.
 
-"An alphabetical listing of contributors to AXIOM (to July, 2007):"
+"An alphabetical listing of contributors to AXIOM:"
 "Cyril Alberga          Roy Adler              Christian Aistleitner"
 "Richard Anderson       George Andrews         S.J. Atkins"
 "Henry Baker            Stephen Balzac         Yurij Baransky"
diff --git a/src/interp/setq.lisp.pamphlet b/src/interp/setq.lisp.pamphlet
index 67675f2..5777487 100644
--- a/src/interp/setq.lisp.pamphlet
+++ b/src/interp/setq.lisp.pamphlet
@@ -586,7 +586,7 @@
 (setq |$profileCompiler| nil)
 
 (setq credits '(
-"An alphabetical listing of contributors to AXIOM (to July, 2007):"
+"An alphabetical listing of contributors to AXIOM:"
 "Cyril Alberga          Roy Adler              Christian Aistleitner"
 "Richard Anderson       George Andrews         S.J. Atkins"
 "Henry Baker            Stephen Balzac         Yurij Baransky"
